Template:Katakana table/styles.css

From Wikipedia, the free encyclopedia
Jump to navigation Jump to search
.katakana-unused {
	background-color: var(--background-color-disabled-subtle, #eaecf0);
	color: inherit;
}

.katakana-obsolete {
	background-color: var(--background-color-disabled, #dadde3);
	color: inherit;
}

.katakana-emptyspace {
	background-color: var(--background-color-neutral, #eaecf0);
}

.katakana-blue-header {
	background-color: #BECFEB;
	color: inherit;
	vertical-align: top;
	text-align: center;
}

.katakana-yellow-header {
	background-color: #CCCB9A;
	color: inherit;
	vertical-align: top;
	text-align: center;
}

.katakana-normal {
	background-color: #EFFAFA;
	color: inherit;
}

.katakana-yellow {
	background-color: #F3F5DE;
	color: inherit;
}

@media screen {
	html.skin-theme-clientpref-night .katakana-blue-header {
		background-color: #233566;
	}
	
	html.skin-theme-clientpref-night .katakana-yellow-header {
		background-color: #453217;
	}
	
	html.skin-theme-clientpref-night .katakana-normal {
		background-color: #1b223d;
	}
	
	html.skin-theme-clientpref-night .katakana-yellow {
		background-color: #2d2212;
	}
}

@media screen and (prefers-color-scheme: dark) {
	html.skin-theme-clientpref-os .katakana-blue-header {
		background-color: #233566;
	}
	
	html.skin-theme-clientpref-os .katakana-yellow-header {
		background-color: #453217;
	}
	
	html.skin-theme-clientpref-os .katakana-normal {
		background-color: #1b223d;
	}
	
	html.skin-theme-clientpref-os .katakana-yellow {
		background-color: #2d2212;
	}
}